﻿Param
(
    [String]
    $ImageStoreConnectionString = "fabric:ImageStore",

    [string]
    $ApplicationVersion = "1.0.0",

    [string]
    $ApplicationInstanceName = "fabric:/NginxApplication",

    [string]
    $ApplicationTypeName = "NginxApplicationType"
)

$ApplicationPackagePathInImageStore = $ApplicationTypeName + $ApplicationVersion

Remove-ServiceFabricApplication `
    -ApplicationName $ApplicationInstanceName `
    -Force

Unregister-ServiceFabricApplicationType `
    -ApplicationTypeName $ApplicationTypeName `
    -ApplicationTypeVersion $ApplicationVersion `
    -Force

Remove-ServiceFabricApplicationPackage `
    -ApplicationPackagePathInImageStore $ApplicationPackagePathInImageStore `
    -ImageStoreConnectionString $ImageStoreConnectionString