Param
(
    [String]
    $ApplicationPackagePath = "NginxApplication",

    [String]
    $ImageStoreConnectionString = "fabric:ImageStore",

    [string]
    $ApplicationVersion = "1.0.0",
	
    [hashtable]
    $ApplicationParameters = @{},

    [string]
    $ApplicationInstanceName = "fabric:/NginxApplication",

    [string]
    $ApplicationTypeName = "NginxApplicationType"
)

$ApplicationPackagePathInImageStore = $ApplicationTypeName + $ApplicationVersion

Copy-ServiceFabricApplicationPackage `
    -ApplicationPackagePath $ApplicationPackagePath `
    -ImageStoreConnectionString $ImageStoreConnectionString `
    -ApplicationPackagePathInImageStore $ApplicationPackagePathInImageStore

Register-ServiceFabricApplicationType `
    -ApplicationPathInImageStore $ApplicationPackagePathInImageStore

Start-ServiceFabricApplicationUpgrade `
    -ApplicationName $ApplicationInstanceName `
    -ApplicationTypeVersion $ApplicationVersion `
    -ApplicationParameter $ApplicationParameters `
    -FailureAction Rollback `
    -Monitored
